dynare nonlinear;
ny=Y_ea;
nk=K_ea;
nc=C_ea;
na=A_ea;
save nonlineardata ny nk nc na;

dynare thelinear;
ly=y_ea;
lk=k_ea;
lc=c_ea;
la=a_ea;
save lineardata ly lk lc la;


close all;
clear;

load lineardata;
load nonlineardata;

t=1:100;

figure;
subplot(2,2,1);
plot(t,ly,t,ny);
legend('linear','nonlinear',0);
legend('boxoff');
title('y');
axis tight;
subplot(2,2,2);
plot(t,lk,t,nk);
legend('linear','nonlinear',0);
legend('boxoff');
title('k');
axis tight;
subplot(2,2,3);
plot(t,lc,t,nc);
legend('linear','nonlinear',0);
legend('boxoff');
title('c');
axis tight;
subplot(2,2,4);
plot(t,la,t,na);
legend('linear','nonlinear',0);
legend('boxoff');
title('a');
axis tight;

saveas(gcf,'compare.eps','psc2');

figure;
subplot(2,2,1);
plot(ly,ny);
xlabel('linear y');
ylabel('nonlinear y');
axis tight;
subplot(2,2,2);
plot(lk,nk);
xlabel('linear k');
ylabel('nonlinear k');
axis tight;
subplot(2,2,3);
plot(lc,nc);
xlabel('linear c');
ylabel('nonlinear c');
axis tight;
subplot(2,2,4);
plot(la,na);
xlabel('linear a');
ylabel('nonlinear a');
axis tight;

saveas(gcf,'compare2.eps','psc2');

proportion_y=(ny(100)-ny(1))/(ly(100)-ly(1))
proportion_k=(nk(100)-nk(1))/(lk(100)-lk(1))
proportion_c=(nc(100)-nc(1))/(lc(100)-lc(1))
proportion_a=(na(100)-ny(1))/(la(100)-la(1))